Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Ruby binding for the Bugly API
Ruby
tree: 5e80adb4fe
Failed to load latest commit information.
bin Initial version
lib Initial version
test Initial version
vendor/bugly-json Initial version
.gitignore Initial version
CONTRIBUTORS Initial version
History.txt Initial version
LICENSE Initial version
README.rdoc Renamed README file
VERSION Initial version
bugly.gemspec Initial version

README.rdoc

Bugly Ruby bindings

Installation

sudo gem install bugly

Requirements

  • Ruby 1.8.7 or above. (Ruby 1.8.6 may work if you load ActiveSupport.)

  • rest-client, json

Usage

require 'rubygems'
require 'bugly'

Bugly.api_key  = "<YOUR-API-KEY>"
Bugly.api_base = "https://<YOUR-ACCOUNT-NAME>.bug.ly/v1"

i = Bugly::Issue.retrieve(1)
i.watchers
i.comments
i.commits
i.prerequisites
i.dependents
i.related
i.duplicates

Acknowledgements

This code was adapted from the excellent stripe-ruby gem.

Something went wrong with that request. Please try again.